Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class Field

    java.lang.Object
      org.apache.lucene.document.Field

All Implemented Interfaces:
  Serializable

public final class Field
extends Object
implements Serializable

A field is a section of a Document. Each field has two parts, a name and a value. Values may be free text, provided as a String or as a Reader, or they may be atomic keywords, which are not further processed. Such keywords may be used to represent dates, urls, etc. Fields are optionally stored in the index, so that they may be returned with hits on the document.

See Also:
  Serialized Form

Constructor Summary
`Field(String name, String string, boolean store, boolean index, boolean token)` Create a field by specifying all parameters except for `storeTermVector`, which is set to `false`.
`Field(String name, String string, boolean store, boolean index, boolean token, boolean storeTermVector)`

Method Summary
`float` | `getBoost()` Returns the boost factor for hits on any field of this document.
`boolean` | `isIndexed()` True iff the value of the field is to be indexed, so that it may be searched on.
`boolean` | `isStored()` True iff the value of the field is to be stored in the index for return with search hits.
`boolean` | `isTermVectorStored()` True iff the term or terms used to index this field are stored as a term vector, available from `IndexReader.getTermFreqVector(int,String)`.
`boolean` | `isTokenized()` True iff the value of the field should be tokenized as text prior to indexing.
`static Field` | `Keyword(String name, Date value)` Constructs a Date-valued Field that is not tokenized and is indexed, and stored in the index, for return with hits.
`static Field` | `Keyword(String name, String value)` Constructs a String-valued Field that is not tokenized, but is indexed and stored.
`String` | `name()` The name of the field (e.g., "date", "subject", "title", or "body") as an interned string.
`Reader` | `readerValue()` The value of the field as a Reader, or null.
`void` | `setBoost(float boost)` Sets the boost factor hits on this field.
`String` | `stringValue()` The value of the field as a String, or null.
`static Field` | `Text(String name, Reader value)` Constructs a Reader-valued Field that is tokenized and indexed, but is not stored in the index verbatim.
`static Field` | `Text(String name, Reader value, boolean storeTermVector)` Constructs a Reader-valued Field that is tokenized and indexed, but is not stored in the index verbatim.
`static Field` | `Text(String name, String value)` Constructs a String-valued Field that is tokenized and indexed, and is stored in the index, for return with hits.
`static Field` | `Text(String name, String value, boolean storeTermVector)` Constructs a String-valued Field that is tokenized and indexed, and is stored in the index, for return with hits.
`String` | `toString()` Prints a Field for human consumption.
`static Field` | `UnIndexed(String name, String value)` Constructs a String-valued Field that is not tokenized nor indexed, but is stored in the index, for return with hits.
`static Field` | `UnStored(String name, String value)` Constructs a String-valued Field that is tokenized and indexed, but that is not stored in the index.
`static Field` | `UnStored(String name, String value, boolean storeTermVector)` Constructs a String-valued Field that is tokenized and indexed, but that is not stored in the index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Field

    public Field(String name,
                 String string,
                 boolean store,
                 boolean index,
                 boolean token)

  Create a field by specifying all parameters except for `storeTermVector`, which is set to `false`.

### Field

    public Field(String name,
                 String string,
                 boolean store,
                 boolean index,
                 boolean token,
                 boolean storeTermVector)

Parameters:
  `name` - The name of the field
  `string` - The string to process
  `store` - true if the field should store the string
  `index` - true if the field should be indexed
  `token` - true if the field should be tokenized
  `storeTermVector` - true if we should store the Term Vector info

Method Detail

### setBoost

    public void setBoost(float boost)

  Sets the boost factor hits on this field. This value will be multiplied into the score of all hits on this this field of this document.

  The boost is multiplied by `Document.getBoost()` of the document containing this field. If a document has multiple fields with the same name, all such values are multiplied together. This product is then multipled by the value `Similarity.lengthNorm(String,int)`, and rounded by `Similarity.encodeNorm(float)` before it is stored in the index. One should attempt to ensure that this product does not overflow the range of that encoding.

  See Also:
    `Document.setBoost(float)`, `Similarity.lengthNorm(String, int)`, `Similarity.encodeNorm(float)`

### getBoost

    public float getBoost()

  Returns the boost factor for hits on any field of this document.

  The default value is 1.0.

  Note: this value is not stored directly with the document in the index. Documents returned from `IndexReader.document(int)` and `Hits.doc(int)` may thus not have the same value present as when this field was indexed.

  See Also:
    `setBoost(float)`

### Keyword

    public static final Field Keyword(String name,
                                      String value)

  Constructs a String-valued Field that is not tokenized, but is indexed and stored. Useful for non-text fields, e.g. date or url.

### UnIndexed

    public static final Field UnIndexed(String name,
                                        String value)

  Constructs a String-valued Field that is not tokenized nor indexed, but is stored in the index, for return with hits.

### Text

    public static final Field Text(String name,
                                   String value)

  Constructs a String-valued Field that is tokenized and indexed, and is stored in the index, for return with hits. Useful for short text fields, like "title" or "subject". Term vector will not be stored for this field.

### Keyword

    public static final Field Keyword(String name,
                                      Date value)

  Constructs a Date-valued Field that is not tokenized and is indexed, and stored in the index, for return with hits.

### Text

    public static final Field Text(String name,
                                   String value,
                                   boolean storeTermVector)

  Constructs a String-valued Field that is tokenized and indexed, and is stored in the index, for return with hits. Useful for short text fields, like "title" or "subject".

### UnStored

    public static final Field UnStored(String name,
                                       String value)

  Constructs a String-valued Field that is tokenized and indexed, but that is not stored in the index. Term vector will not be stored for this field.

### UnStored

    public static final Field UnStored(String name,
                                       String value,
                                       boolean storeTermVector)

  Constructs a String-valued Field that is tokenized and indexed, but that is not stored in the index.

### Text

    public static final Field Text(String name,
                                   Reader value)

  Constructs a Reader-valued Field that is tokenized and indexed, but is not stored in the index verbatim. Useful for longer text fields, like "body". Term vector will not be stored for this field.

### Text

    public static final Field Text(String name,
                                   Reader value,
                                   boolean storeTermVector)

  Constructs a Reader-valued Field that is tokenized and indexed, but is not stored in the index verbatim. Useful for longer text fields, like "body".

### name

    public String name()

  The name of the field (e.g., "date", "subject", "title", or "body") as an interned string.

### stringValue

    public String stringValue()

  The value of the field as a String, or null. If null, the Reader value is used. Exactly one of stringValue() and readerValue() must be set.

### readerValue

    public Reader readerValue()

  The value of the field as a Reader, or null. If null, the String value is used. Exactly one of stringValue() and readerValue() must be set.

### isStored

    public final boolean isStored()

  True iff the value of the field is to be stored in the index for return with search hits. It is an error for this to be true if a field is Reader-valued.

### isIndexed

    public final boolean isIndexed()

  True iff the value of the field is to be indexed, so that it may be searched on.

### isTokenized

    public final boolean isTokenized()

  True iff the value of the field should be tokenized as text prior to indexing. Un-tokenized fields are indexed as a single word and may not be Reader-valued.

### isTermVectorStored

    public final boolean isTermVectorStored()

  True iff the term or terms used to index this field are stored as a term vector, available from `IndexReader.getTermFreqVector(int,String)`. These methods do not provide access to the original content of the field, only to terms used to index it. If the original content must be preserved, use the `stored` attribute instead.

  See Also:
    `IndexReader.getTermFreqVector(int, String)`

### toString

    public final String toString()

  Prints a Field for human consumption.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.